Oracle Linux 3 / 4 / 5 : libtool (ELSA-2009-1646)

Medium Nessus Plugin ID 67968


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2009:1646 :

Updated libtool packages that fix one security issue are now available for Red Hat Enterprise Linux 3, 4, and 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

GNU Libtool is a set of shell scripts which automatically configure UNIX, Linux, and similar operating systems to generically build shared libraries.

A flaw was found in the way GNU Libtool's libltdl library looked for modules to load. It was possible for libltdl to load and run modules from an arbitrary library in the current working directory. If a local attacker could trick a local user into running an application (which uses libltdl) from an attacker-controlled directory containing a malicious Libtool control file (.la), the attacker could possibly execute arbitrary code with the privileges of the user running the application. (CVE-2009-3736)

All libtool users should upgrade to these updated packages, which contain a backported patch to correct this issue. After installing the updated packages, applications using the libltdl library must be restarted for the update to take effect.


Update the affected libtool packages.

See Also

Plugin Details

Severity: Medium

ID: 67968

File Name: oraclelinux_ELSA-2009-1646.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Temporal Score: 6

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:libtool, p-cpe:/a:oracle:linux:libtool-libs, p-cpe:/a:oracle:linux:libtool-ltdl, p-cpe:/a:oracle:linux:libtool-ltdl-devel, cpe:/o:oracle:linux:3, cpe:/o:oracle:linux:4, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/12/08

Reference Information

CVE: CVE-2009-3736

BID: 37128

RHSA: 2009:1646